Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy
Class QueueTool.QueueAction

    java.lang.Object
      |
      +--org.netbeans.jemmy.QueueTool.QueueAction

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  EventDriver.Dispatcher, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction

Enclosing class:
  QueueTool

public abstract static class QueueTool.QueueAction
extends java.lang.Object
implements java.lang.Runnable

Action to be excuted through event queue. Even if it was executed without waiting by `invoke(QueueAction)` execution process can be monitored by `getResult()`, `getException()`, `getFinished()` methods.

Constructor Summary
`QueueTool.QueueAction(java.lang.String description)` Constructor.

Method Summary
`java.lang.String` | `getDescription()` Action description.
`java.lang.Exception` | `getException()` Returns exception occured during action execution (if any).
`boolean` | `getFinished()` Informs whether action has been finished or not.
`java.lang.Object` | `getResult()` Returns action result if action has already been finished, null otherwise.
`abstract java.lang.Object` | `launch()` Method to implement action functionality.
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueTool.QueueAction

    public QueueTool.QueueAction(java.lang.String description)

  Constructor.
  Parameters:
    `description` - a description.

Method Detail

### launch

    public abstract java.lang.Object launch()
                                     throws java.lang.Exception

  Method to implement action functionality.
  Returns:
    an Object - action result
  Throws:
    `java.lang.Exception` -

### run

    public final void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getDescription

    public java.lang.String getDescription()

  Action description.
  Returns:
    the description.

### getResult

    public java.lang.Object getResult()

  Returns action result if action has already been finished, null otherwise.
  Returns:
    an action result.

### getException

    public java.lang.Exception getException()

  Returns exception occured during action execution (if any).
  Returns:
    the Exception happened inside `launch()` method.

### getFinished

    public boolean getFinished()

  Informs whether action has been finished or not.
  Returns:
    true if this action have been finished

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD